Loading...
Searching...
No Matches
CSOUND_::sread__ Struct Reference

`#include <csoundCore.h>`

## Data Fields

SRTBLK * | bp
SRTBLK * | prvibp
char * | sp
char * | nxp
int | op
int | warpin
int | linpos
int | lincnt
MYFLT | prvp2
MYFLT | clock_base
MYFLT | warp_factor
char * | curmem
char * | memend
MACRO * | unused_ptr2
int | last_name
IN_STACK * | inputs
IN_STACK * | str
int | input_size
int | input_cnt
int | unused_int3
int | unused_int2
int | linepos
MARKED_SECTIONS | names [30]
char | unused_char0 [RPTDEPTH][NAMELEN]
int | unused_int4 [RPTDEPTH]
int32 | unused_int7 [RPTDEPTH]
int | unused_int5
MACRO * | unused_ptr0 [RPTDEPTH]
int | unused_int6
char | unused_char1 [NAMELEN]
int | unused_int8
int32 | unused_int9
int | unused_intA
MACRO * | unused_ptr1
int | nocarry

## Field Documentation

## bp

SRTBLK* CSOUND_::sread__::bp

## clock_base

MYFLT CSOUND_::sread__::clock_base

## curmem

char* CSOUND_::sread__::curmem

## input_cnt

int CSOUND_::sread__::input_cnt

## input_size

int CSOUND_::sread__::input_size

## inputs

IN_STACK* CSOUND_::sread__::inputs

## last_name

int CSOUND_::sread__::last_name

## lincnt

int CSOUND_::sread__::lincnt

## linepos

int CSOUND_::sread__::linepos

## linpos

int CSOUND_::sread__::linpos

## memend

char* CSOUND_::sread__::memend

## names

MARKED_SECTIONS CSOUND_::sread__::names[30]

## nocarry

int CSOUND_::sread__::nocarry

## nxp

char * CSOUND_::sread__::nxp

## op

int CSOUND_::sread__::op

## prvibp

SRTBLK * CSOUND_::sread__::prvibp

## prvp2

MYFLT CSOUND_::sread__::prvp2

## sp

char* CSOUND_::sread__::sp

## str

IN_STACK * CSOUND_::sread__::str

## unused_char0

char CSOUND_::sread__::unused_char0[RPTDEPTH][NAMELEN]

## unused_char1

char CSOUND_::sread__::unused_char1[NAMELEN]

## unused_int2

int CSOUND_::sread__::unused_int2

## unused_int3

int CSOUND_::sread__::unused_int3

## unused_int4

int CSOUND_::sread__::unused_int4[RPTDEPTH]

## unused_int5

int CSOUND_::sread__::unused_int5

## unused_int6

int CSOUND_::sread__::unused_int6

## unused_int7

int32 CSOUND_::sread__::unused_int7[RPTDEPTH]

## unused_int8

int CSOUND_::sread__::unused_int8

## unused_int9

int32 CSOUND_::sread__::unused_int9

## unused_intA

int CSOUND_::sread__::unused_intA

## unused_ptr0

MACRO* CSOUND_::sread__::unused_ptr0[RPTDEPTH]

## unused_ptr1

MACRO* CSOUND_::sread__::unused_ptr1

## unused_ptr2

MACRO* CSOUND_::sread__::unused_ptr2

## warp_factor

MYFLT CSOUND_::sread__::warp_factor

## warpin

int CSOUND_::sread__::warpin